Name: vmod-uuid
Summary: UUID module for Varnish Cache
Version: 1.3
Release: 4%{?dist}
License: BSD
URL: https://github.com/otto-de/libvmod-uuid
Source0: https://github.com/otto-de/lib%{name}/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0: vmod-uuid-1.3.fix_obsolete_m4_macro.patch

# To build a source tarball for el6,
# run ./autogen.sh && ./configure && make && make dist
# Then use that vmod-*tar.gz to build your src.rpm

Requires: varnish%{?_isa} = %(pkg-config --silence-errors --modversion varnishapi || echo 0)
Requires: uuid

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: uuid-devel
BuildRequires: varnish-devel
BuildRequires: varnish
BuildRequires: check-devel

# To build from a git checkout, add these
BuildRequires: automake
BuildRequires: libtool
BuildRequires: python-docutils
%if 0%{?rhel} > 6
BuildRequires: autoconf-archive
%endif

%description
UUID Varnish vmod used to generate a uuid, including versions 1, 3, 4 and 5
as specified in RFC 4122. See the RFC for details about the various versions.


%prep
%if 0%{?rhel} == 6
%setup
%else
%autosetup -n lib%{name}-%{version}
%endif


%build
%if 0%{?rhel} != 6
./autogen.sh
%else
sed -i 's/2\.7/2.6/g' configure
%endif
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%check
make check


%install
%make_install

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -delete
find %{buildroot}/%{_libdir}/ -name  '*.a' -delete


%files
%{_libdir}/varnish*/vmods/
%license LICENSE
%doc README.rst COPYING
%{_mandir}/man3/*.3*


%changelog
* Fri Dec 08 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-4
- Patched away obsolete m4 macro
- Added fixes for el6 in separate branch

* Fri Dec 08 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-3
- Added pkg-config call to compute correct varnish version dependency
- Removed el6 hacks from fedora candidate package
- Simplified and cleaned up macro usage and other cosmetics according to
  package review
- Added COPYING to doc

* Mon Nov 06 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-2
- Set a readable homepage URL
- Removed Group and BuildRoot tags
- Set _isa macro on varnish requirement
- Use license macro on all builds
- Build fixes for el6 added, though commented out (requires a dist tarball)

* Fri Nov 03 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.3-1
- New upstream release 1.3 aka ec75ddd

